Subject: Re: [Qirg] [Fwd: [Fwd: Re: draft-irtf-qirg-principles: goals and principles]]

From: Wojciech Kozlowski <[email-masked]>
Date: Sun, 12 Jul 2020 21:26:28 +0000

Dear QIRG,

I have updated the doc following the feedback received at the interim meeting. You can find the latest version here: https://datatracker.ietf.org/doc/draft-irtf-qirg-principles/

Relevant GitHub commit: https://github.com/Wojtek242/draft-irtf-qirg-principles/commit/7eac21009e6bc61dc894b435a2b8ed83a1f708d1

Cheers,
Wojtek

On Tue, 2020-06-09 at 15:04 +0000, Wojciech Kozlowski wrote:
Dear QIRG,

Please find the minutes from todays meeting: https://datatracker.ietf.org/doc/minutes-interim-2020-qirg-02-202006091200/<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_minutes-2Dinterim-2D2020-2Dqirg-2D02-2D202006091200_&d=DwMGaQ&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=3UtwgpYIyBH0OlOde1RI0qyRNpRqoEXR6eevTt_JmfU&s=0E5lFGAHVav9aGQVjoWXlK8t24xARTagTfdrlJs_c0E&e=>
Blue sheets: https://datatracker.ietf.org/doc/bluesheets-interim-2020-qirg-02-202006091200/<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_bluesheets-2Dinterim-2D2020-2Dqirg-2D02-2D202006091200_&d=DwMGaQ&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=3UtwgpYIyBH0OlOde1RI0qyRNpRqoEXR6eevTt_JmfU&s=qqW478sZ2Sy0SJBfBt91i9I_1VvwRGP-7knj1N9tzs0&e=>

If you have any remarks as to the above, please let me know and I'll upload a revision.

My next step will be to include all the points raised in the meeting + some that were raised on the mailing list over the past few months (including Shota's generation PR).

I will write a separate e-mail about the discussion we agreed to take to the mailing list.

Cheers,
Wojtek

On Tue, 2020-06-09 at 11:56 +0000, Wojciech Kozlowski wrote:
5 miutes

On Tue, 2020-06-09 at 07:21 +0000, Wojciech Kozlowski wrote:
Dear QIRG,

Reminder that this call is today at 12:00 UTC.

draft link: https://github.com/Wojtek242/draft-irtf-qirg-principles/blob/master/draft-irtf-qirg-principles-03.txt<https://urldefense.proofpoint.com/v2/url?u=https-3A__github.com_Wojtek242_draft-2Dirtf-2Dqirg-2Dprinciples_blob_master_draft-2Dirtf-2Dqirg-2Dprinciples-2D03.txt&d=DwMGaQ&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=HRf6jLamfSYGnMMqMf0Cs1z39p5qK9L8oYmqWvtXXmo&s=L77eDXXtEGeNu_FStkATdWb4GNi41Ha30a3FSfPvT4Q&e=>
WebEx link: https://ietf.webex.com/ietf/j.php?MTID=md099578b71f8df25a5fb5d22e3d9916c<https://urldefense.proofpoint.com/v2/url?u=https-3A__ietf.webex.com_ietf_j.php-3FMTID-3Dmd099578b71f8df25a5fb5d22e3d9916c&d=DwMGaQ&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=UqAYKE7-mixIeOQ0cnSwotM-DtGiE0KExtvoqiwyyuo&s=EUDaCs5iBZPxWCEFagjk9bpukLs5h2Uzr2zxn5itMVA&e=>
Calender event: attached

Regards,
Wojtek

-------- Forwarded Message --------
From: Wojciech Kozlowski <[email-masked]<mailto:[email-masked]%3e>>
To: [email-masked] <[email-masked]<mailto:[email-masked][email-masked]%3e>>
Subject: [Qirg] [Fwd: Re: draft-irtf-qirg-principles: goals and principles]
Date: Wed, 03 Jun 2020 10:07:14 +0000

Dear QIRG,

A reminder that there is a virtual interim call next week (9 June 12:00 UTC) to discuss section 6 of the Architectural Principles draft: https://datatracker.ietf.org/meeting/interim-2020-qirg-02/session/qirg<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_meeting_interim-2D2020-2Dqirg-2D02_session_qirg&d=DwMGaQ&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=UqAYKE7-mixIeOQ0cnSwotM-DtGiE0KExtvoqiwyyuo&s=YHSm-T12nUZrE_jrab4A6kNRnuX68d5Y0L5N_2JictQ&e=>
WebEx link: https://ietf.webex.com/ietf/j.php?MTID=md099578b71f8df25a5fb5d22e3d9916c<https://urldefense.proofpoint.com/v2/url?u=https-3A__ietf.webex.com_ietf_j.php-3FMTID-3Dmd099578b71f8df25a5fb5d22e3d9916c&d=DwMGaQ&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=UqAYKE7-mixIeOQ0cnSwotM-DtGiE0KExtvoqiwyyuo&s=EUDaCs5iBZPxWCEFagjk9bpukLs5h2Uzr2zxn5itMVA&e=>
Calender event: attached

The aim of this call is to step over section 6, review existing points, discuss, and suggest any additions. Experienced advice from people who helped build/witnessed/understand the current Internet architecture and its evolution would be very useful. This section is less about quantum, but more about how to correctly apply the lessons from the classical Internet to the Quantum Internet.

This is the last item that needs a discussion. Following this call I plan to include the feedback that's still waiting on my todo pile (including the generations pull request from Shota) and prepare a final version for top-down review by July.

A summary of the current content is below. Actual content is: https://github.com/Wojtek242/draft-irtf-qirg-principles/blob/master/draft-irtf-qirg-principles-03.txt#L1128<https://urldefense.proofpoint.com/v2/url?u=https-3A__github.com_Wojtek242_draft-2Dirtf-2Dqirg-2Dprinciples_blob_master_draft-2Dirtf-2Dqirg-2Dprinciples-2D03.txt-23L1128&d=DwMGaQ&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=UqAYKE7-mixIeOQ0cnSwotM-DtGiE0KExtvoqiwyyuo&s=L-OhdnsOipa_jHS3oI5HUmagGfohSSrN2DfqaslWPCU&e=>

6.1.  Goals of a quantum internet

   1.  Support distributed quantum applications
   2.  Support tomorrow's distributed quantum applications
   3.  Support hardware heterogeneity
   4.  Be flexible with regards to hardware capabilities and limitations
   5.  Ensure security at the network level
   6.  Make them easy to manage and monitor
   7.  Ensure availability and resilience

6.2.  The principles of a quantum internet

   1.  Bell Pairs are the fundamental building block
   2.  Bell Pairs are indistinguishable
   3.  Fidelity is part of the service
   4.  Time is part of the service

Cheers,
Wojtek

-------- Forwarded Message --------
From: Wojciech Kozlowski <[email-masked]<mailto:[email-masked]%3e>>
To: [email-masked] <[email-masked]<mailto:[email-masked][email-masked]%3e>>
Subject: Re: [Qirg] draft-irtf-qirg-principles: goals and principles
Date: Tue, 19 May 2020 15:03:57 +0000

I have scheduled a virtual meeting on June 9 at 12:00 UTC. Below are the call details and a calendar event is attached.

Datatracker: https://datatracker.ietf.org/meeting/interim-2020-qirg-02/session/qirg<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_meeting_interim-2D2020-2Dqirg-2D02_session_qirg&d=DwMGaQ&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=-iwocpdAvMs7ofFlum62h97vL8XRmDsmdE_7LfPYOZw&s=VwFiCHrZU36SWb5sBIn67YJdR3xCBJA8cPuI4T3V7Mw&e=>
Agenda: Review section 6 of draft-irtf-qirg-principles<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dirtf-2Dqirg-2Dprinciples_&d=DwMGaQ&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=-iwocpdAvMs7ofFlum62h97vL8XRmDsmdE_7LfPYOZw&s=AoP6qfV_9aplrHEusjOETDayvRmG6Kjnxgzrt3L4zko&e=> and discuss possible additions

draft-irtf-qirg-principles: goals and principles
Hosted by Quantum Internet Research Group

Tuesday, Jun 9, 2020 5:00 am | 1 hour | (UTC-07:00) Pacific Time (US & Canada)
Meeting number: 617 400 539
Password: a37wSAQ2DDZ
Agenda: Review section 6 of draft and discuss possible additions
https://ietf.webex.com/ietf/j.php?MTID=md099578b71f8df25a5fb5d22e3d9916c<https://urldefense.proofpoint.com/v2/url?u=https-3A__ietf.webex.com_ietf_j.php-3FMTID-3Dmd099578b71f8df25a5fb5d22e3d9916c&d=DwMGaQ&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=-iwocpdAvMs7ofFlum62h97vL8XRmDsmdE_7LfPYOZw&s=-uUlPhMMrCGqjr-kXFUPw91e_E_woH5t3OClz4dBDQg&e=>

Join by video system
Dial [email-masked]<mailto:[email-masked]>
You can also dial 173.243.2.68 and enter your meeting number.

Join by phone
1-650-479-3208 Call-in toll number (US/Canada)
Access code: 617 400 539

On Fri, 2020-05-15 at 08:18 +0000, Wojciech Kozlowski wrote:
Dear QIRG,

A reminder to fill out your availability for a call about the Architectural Principles draft: https://framadate.org/qvA3TcT8M3E1JTi9<https://urldefense.proofpoint.com/v2/url?u=https-3A__framadate.org_qvA3TcT8M3E1JTi9&d=DwMGaQ&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=zLIAUo2eMK5Pa3NVVOWel5d4_g_YmATW19AzZCYFPvo&s=B7F-gTOGAdXgv-d9S-EQZp3vbFXldElkqgrfxO16h2A&e=>

A bit of background on what I want to do here:

Sections 1-5 set the scene as to what quantum networks are, how they function, etc. Section 6 is about looking forward. Given that we know the building blocks, what do we actually want to build with them? What matters more, what matters less? What should one keep in mind when designing protocols?

My inspiration for section 6 is the following paper by David Clark "The Design Philosophy of the DARPA Internet Protocols": https://dl.acm.org/doi/pdf/10.1145/52324.52336<https://urldefense.proofpoint.com/v2/url?u=https-3A__dl.acm.org_doi_pdf_10.1145_52324.52336&d=DwMGaQ&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=NTkjIPMzNW9-rV2psBThpbL_4SczzcreTN9eN2ftlUA&s=zPp6wUaEq0Y3k-EEysQV3ujLntmrsVWYIWKfRUkMmmA&e=>

And the following RFC: https://tools.ietf.org/html/rfc1958<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc1958&d=DwMGaQ&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=NTkjIPMzNW9-rV2psBThpbL_4SczzcreTN9eN2ftlUA&s=giqVITq9aRkr8ZF_pAbOZJVkz1yuK51Rl36ZjKJIm6o&e=>

As RFC 1958 shows this need does not need to be an extensive section, but it's a good place to think a bit how the challenges introduced in the first few sections translate into protocol design.

This section will definitely benefit from protocol design/implementation experience.

Cheers,
Wojtek

On Tue, 2020-05-12 at 17:42 +0000, Wojciech Kozlowski wrote:
Hi all,

Added two more dates for additional flexibility: June 9 and June 10 (same times). So the meeting options are now June 2, 3, 9, or 10.

Doodle link: https://framadate.org/qvA3TcT8M3E1JTi9<https://urldefense.proofpoint.com/v2/url?u=https-3A__framadate.org_qvA3TcT8M3E1JTi9&d=DwMGaQ&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=zLIAUo2eMK5Pa3NVVOWel5d4_g_YmATW19AzZCYFPvo&s=B7F-gTOGAdXgv-d9S-EQZp3vbFXldElkqgrfxO16h2A&e=>

Regards,
Wojtek

On Tue, 2020-05-12 at 16:47 +0000, Wojciech Kozlowski wrote:
Dear QIRG,

To make progress on the Architectural Principles draft one last item of work remains which is section 6: goals and principles. Most of the document is informative and more of a review in content. However, this section allows us to bring some innovative and fresh ideas to the table and it would be great if as the QIRG we could try and do that.

The section is already non-empty so what I'm looking for is to

  *   go over what's currently written and review it
  *   discuss any further additions to both goals and principles

Anybody who has read and understood the contents of the draft so far should be able to contribute. Experts in network system design particularly welcome.

As this was meant to be a side meeting in Vancouver, to make progress I would like to organise a 1 hour long virtual meeting on either June 2 or June 3. If you would like to contribute, please fill out your availability using the link below by Monday May 18. For those for whom the time chosen might not be convenient, we will make sure the session is recorded.

https://framadate.org/qvA3TcT8M3E1JTi9<https://urldefense.proofpoint.com/v2/url?u=https-3A__framadate.org_qvA3TcT8M3E1JTi9&d=DwMBAg&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=90FSMEVguEJgVtbIKzB2Buv9z0nhgXvQzkSyKLVW64E&s=NnK6PpDgAbJ7WAN9SfMmqeuOIdFefQFWVaKDvC4non4&e=>

Once this section is complete, the draft will go through some editorial updates + an update on 3 repeater generations currently also in the works. If possible, this might make the draft ready for the next stage by IETF 108.

Regards,
Wojtek

_______________________________________________

Qirg mailing list

[email-masked]<mailto:[email-masked]>

https://urldefense.proofpoint.com/v2/url?u=https-3A__www.irtf.org_mailman_listinfo_qirg&d=DwICAg&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=4iOAVB7x-f948YabTRLMEpjLtlLc_Pu7Z2k6YrBUvNQ&s=LRs-q6_VLHR0mYnMS6LuKUiyzeQgVlaWDYCNARMEJLY&e=

_______________________________________________

Qirg mailing list

[email-masked]<mailto:[email-masked]>

https://urldefense.proofpoint.com/v2/url?u=https-3A__www.irtf.org_mailman_listinfo_qirg&d=DwICAg&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=zLIAUo2eMK5Pa3NVVOWel5d4_g_YmATW19AzZCYFPvo&s=8tIuHVZW_RKSH5MF2E4Rd8DDX-Xmtr-5YvhjCcu7MMI&e=

_______________________________________________

Qirg mailing list

[email-masked]<mailto:[email-masked]>

https://urldefense.proofpoint.com/v2/url?u=https-3A__www.irtf.org_mailman_listinfo_qirg&d=DwICAg&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=NTkjIPMzNW9-rV2psBThpbL_4SczzcreTN9eN2ftlUA&s=Yf22wROFnok5rddTyXB2c1CiPz0QZ45g3dcXK49dXlU&e=

_______________________________________________

Qirg mailing list

[email-masked]<mailto:[email-masked]>

https://urldefense.proofpoint.com/v2/url?u=https-3A__www.irtf.org_mailman_listinfo_qirg&d=DwICAg&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=-iwocpdAvMs7ofFlum62h97vL8XRmDsmdE_7LfPYOZw&s=l2-L1gbGLUfYp7tvoNIBh7usB8NwpGMI4BSij8LdOK8&e=

_______________________________________________

Qirg mailing list

[email-masked]<mailto:[email-masked]>

https://urldefense.proofpoint.com/v2/url?u=https-3A__www.irtf.org_mailman_listinfo_qirg&d=DwICAg&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=UqAYKE7-mixIeOQ0cnSwotM-DtGiE0KExtvoqiwyyuo&s=y3a3Cl1Zs37N-QwHsGg7K0qYkeH_l-0V673aOpSnhgI&e=

_______________________________________________

Qirg mailing list

[email-masked]<mailto:[email-masked]>

https://urldefense.proofpoint.com/v2/url?u=https-3A__www.irtf.org_mailman_listinfo_qirg&d=DwICAg&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=HRf6jLamfSYGnMMqMf0Cs1z39p5qK9L8oYmqWvtXXmo&s=VPJZR3cd6qauOFQOL9yUoD1eqmntMXnwOLfTLBg6Qus&e=

_______________________________________________

Qirg mailing list

[email-masked]<mailto:[email-masked]>

https://urldefense.proofpoint.com/v2/url?u=https-3A__www.irtf.org_mailman_listinfo_qirg&d=DwICAg&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=mV4kBWcgI7OPmPsSd3nqtVvaWq16pVWk-hvhESKLZiA&s=ME3LALeY5QOUIRwXpsJOYGMdxp8ZfeLxZGRi-El6Br0&e=

_______________________________________________

Qirg mailing list

[email-masked]<mailto:[email-masked]>

https://urldefense.proofpoint.com/v2/url?u=https-3A__www.irtf.org_mailman_listinfo_qirg&d=DwICAg&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=3UtwgpYIyBH0OlOde1RI0qyRNpRqoEXR6eevTt_JmfU&s=KzN59lVNFN1xgBArl0LBoFnQq-6vnOaJBrycmU2kf5A&e=

---

From: Joey S <[email-masked]>
Date: Mon, 27 Jul 2020 10:41:25 -0600

Dear QIRG,

In section 6.1. Goals of a quantum internet, in a similar way to
this quote on point 2,

>>It should not be constrained due to considerations for
early-stage hardware and applications

I think point 5.  Make them easy to monitor,

>>In order to manage, evaluate the performance of, or debug a
network it is necessary to have the ability to monitor the network.

should/could include "while ensuring there'll be mechanisms in place
to protect the confidentiality and integrity of the devices
connected to it".

This would be so as not to repeat the limitations we currently deal
with in, say, the DNS, which having been designed as an unencrypted
point for control and administration, has suffered heavy
exploitation and continues to be a source of debate on how to make
it more secure now, decades after its design.

>>Furthermore, given one end of an entangled pair, it is
impossible to tell where the other qubit is without any additional
classical information.

Would there be a need for some type of metadata then? or duplicate
qubits for monitoring purposes?

>>This implies that tracking entangled pairs necessitates some
exchange of classical information.

Some definition on what classical information would need to be
exchanged would also be good.

On point 6.  Ensure availability and resilience, and mostly out of
curiosity, are there any projections/estimates on where will quantum
networks be available? Will the implementation/deployment costs be
too high so as to restrict its access/use to developed countries? or
is it foreseeable that at some point all sectors of society could
benefit from it?

Lastly, in section 8.  Security Considerations

>>Even though no user data enters a quantum network

Could I be pointed to references that explain this part please? Is
user data confined to classical channels? Apologies if that's
already somewhere in this draft and I missed it.

Thank you all,

--
Joey Salazar
Digital Sr. Programme Officer
ARTICLE 19
6E9C 95E5 5BED 9413 5D08 55D5 0A40 4136 0DF0 1A91

On 12-Jul-20 3:26 PM, Wojciech
Kozlowski wrote:

Dear QIRG,

I have updated the doc following the feedback received at the
interim meeting. You can find the latest version here:
https://datatracker.ietf.org/doc/draft-irtf-qirg-principles/

Relevant GitHub commit:
https://github.com/Wojtek242/draft-irtf-qirg-principles/commit/7eac21009e6bc61dc894b435a2b8ed83a1f708d1

Cheers,

Wojtek

Dear QIRG,

Please find the minutes from todays meeting:
https://datatracker.ietf.org/doc/minutes-interim-2020-qirg-02-202006091200/

Blue sheets:
https://datatracker.ietf.org/doc/bluesheets-interim-2020-qirg-02-202006091200/

If you have any remarks as to the above, please let me know
and I'll upload a revision.

My next step will be to include all the points raised in
the meeting + some that were raised on the mailing list over
the past few months (including Shota's generation PR).

I will write a separate e-mail about the discussion we
agreed to take to the mailing list.

Cheers,

Wojtek

On Tue, 2020-06-09 at 11:56 +0000, Wojciech Kozlowski
wrote:

5 miutes

On Tue, 2020-06-09 at 07:21 +0000, Wojciech Kozlowski
wrote:

Dear QIRG,

draft link:
https://github.com/Wojtek242/draft-irtf-qirg-principles/blob/master/draft-irtf-qirg-principles-03.txt

WebEx link: https://ietf.webex.com/ietf/j.php?MTID=md099578b71f8df25a5fb5d22e3d9916c

Calender event: attached

Regards,

Wojtek

-------- Forwarded Message --------

From: Wojciech Kozlowski <[email-masked]>

To: [email-masked] <[email-masked]>

Subject: [Qirg] [Fwd: Re:
draft-irtf-qirg-principles: goals and principles]

Dear QIRG,

A reminder that there is a virtual interim call next
week (9 June 12:00 UTC) to discuss section 6 of the
Architectural Principles draft:

https://datatracker.ietf.org/meeting/interim-2020-qirg-02/session/qirg

WebEx link:
https://ietf.webex.com/ietf/j.php?MTID=md099578b71f8df25a5fb5d22e3d9916c

Calender event: attached

The aim of this call is to step over section 6, review
existing points, discuss, and suggest any additions.
Experienced advice from people who helped
build/witnessed/understand the current Internet
architecture and its evolution would be very useful. This
section is less about quantum, but more about how to
correctly apply the lessons from the classical Internet to
the Quantum Internet.

This is the last item that needs a discussion.
Following this call I plan to include the feedback that's
still waiting on my todo pile (including the generations
pull request from Shota) and prepare a final version for
top-down review by July.

A summary of the current content is below. Actual
content is:
https://github.com/Wojtek242/draft-irtf-qirg-principles/blob/master/draft-irtf-qirg-principles-03.txt#L1128

2.  Support tomorrow's distributed quantum
applications

4.  Be flexible with regards to hardware
capabilities and limitations

Cheers,

Wojtek

-------- Forwarded Message --------

From: Wojciech Kozlowski <[email-masked]>

To: [email-masked] <[email-masked]>

Subject: Re: [Qirg] draft-irtf-qirg-principles:
goals and principles

I have scheduled a virtual meeting on June 9 at
12:00 UTC. Below are the call details and a calendar
event is attached.

Datatracker:
https://datatracker.ietf.org/meeting/interim-2020-qirg-02/session/qirg

Agenda: Review section 6 of
draft-irtf-qirg-principles and discuss possible
additions

Tuesday, Jun 9, 2020 5:00 am | 1 hour | (UTC-07:00)
Pacific Time (US & Canada)

Password: a37wSAQ2DDZ

Agenda: Review section 6 of draft and discuss possible
additions

https://ietf.webex.com/ietf/j.php?MTID=md099578b71f8df25a5fb5d22e3d9916c

Join by video system

Dial [email-masked]

You can also dial 173.243.2.68 and enter your meeting
number.

Join by phone

Access code: 617 400 539

On Fri, 2020-05-15 at 08:18 +0000, Wojciech Kozlowski
wrote:

Dear QIRG,

A reminder to fill out your availability for a call
about the Architectural Principles draft:

https://framadate.org/qvA3TcT8M3E1JTi9

Sections 1-5 set the scene as to what quantum
networks are, how they function, etc. Section 6 is about
looking forward. Given that we know the building blocks,
what do we actually want to build with them? What
matters more, what matters less? What should one keep in
mind when designing protocols?

My inspiration for section 6 is the following paper
by David Clark "The Design Philosophy of the DARPA
Internet Protocols": https://dl.acm.org/doi/pdf/10.1145/52324.52336

And the following RFC:
https://tools.ietf.org/html/rfc1958

As RFC 1958 shows this need does not need to be an
extensive section, but it's a good place to think a bit
how the challenges introduced in the first few sections
translate into protocol design.

This section will definitely benefit from protocol
design/implementation experience.

Cheers,

Wojtek

On Tue, 2020-05-12 at 17:42 +0000, Wojciech Kozlowski
wrote:

Hi all,

Added two more dates for additional flexibility:
June 9 and June 10 (same times). So the meeting
options are now
June 2, 3, 9, or 10.

Doodle link:
https://framadate.org/qvA3TcT8M3E1JTi9

Regards,

Wojtek

On Tue, 2020-05-12 at 16:47 +0000, Wojciech
Kozlowski wrote:

Dear QIRG,

To make progress on the Architectural Principles
draft one last item of work remains which is section
6: goals and principles. Most of the document is
informative and more of a review in content.
However, this section allows us to bring some
innovative and fresh ideas to the table and it would
be great if as the QIRG we could try and do that.

The section is already non-empty so what I'm
looking for is to

go over what's currently written and review it

discuss any further additions to both goals and
principles

Anybody who has read and understood the contents
of the draft so far should be able to contribute.
Experts in network system design particularly
welcome.

As this was meant to be a side meeting in
Vancouver, to make progress I would like to organise
a
1 hour long virtual meeting on either
June 2 or June 3. If you would like to
contribute, please fill out your availability using
the link below
by Monday May 18. For those for whom the time
chosen might not be convenient, we will make sure
the session is recorded.

https://framadate.org/qvA3TcT8M3E1JTi9

Once this
section is complete, the draft will go through
some editorial updates + an update on 3 repeater
generations currently also in the works. If
possible, this might make the draft ready for the
next stage by IETF 108.

Regards,

Wojtek

Qirg mailing list

[email-masked]

Qirg mailing list

[email-masked]

Qirg mailing list

[email-masked]

Qirg mailing list

[email-masked]

Qirg mailing list

[email-masked]

Qirg mailing list

[email-masked]

Qirg mailing list

[email-masked]

Qirg mailing list

[email-masked]

_______________________________________________
Qirg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/qirg

---

From: Wojciech Kozlowski <[email-masked]>
Date: Tue, 28 Jul 2020 10:43:42 +0000

Thanks for your comments! I will incorporate them shortly after the IETF meeting, but I thought I'd reply to some of your questions below in-line

Wojtek

On Mon, 2020-07-27 at 10:41 -0600, Joey S wrote:
Dear QIRG,

In section 6.1. Goals of a quantum internet, in a similar way to this quote on point 2,
>>It should not be constrained due to considerations for early-stage hardware and applications

>>In order to manage, evaluate the performance of, or debug a network it is necessary to have the ability to monitor the network.
should/could include "while ensuring there'll be mechanisms in place to protect the confidentiality and integrity of the devices connected to it".

This would be so as not to repeat the limitations we currently deal with in, say, the DNS, which having been designed as an unencrypted point for control and administration, has suffered heavy exploitation and continues to be a source of debate on how to make it more secure now, decades after its design.

>>Furthermore, given one end of an entangled pair, it is impossible to tell where the other qubit is without any additional classical information.
Would there be a need for some type of metadata then? or duplicate qubits for monitoring purposes?

>>This implies that tracking entangled pairs necessitates some exchange of classical information.
Some definition on what classical information would need to be exchanged would also be good.

On point 6.  Ensure availability and resilience, and mostly out of curiosity, are there any projections/estimates on where will quantum networks be available? Will the implementation/deployment costs be too high so as to restrict its access/use to developed countries? or is it foreseeable that at some point all sectors of society could benefit from it?

These networks are expensive to deploy. Whilst they will be able to reuse a lot of our fibre infrastructure the hardware at the nodes (potentially including satellites) needs to be quantum-enabled and a lot of it is still in the experimental stage. However, the classical Internet didn't just appear overnight either.

QKD deployments already exist (networks that can run Quantum Key Distribution and nothing else) on metropolitan scales. There is work to extend this distance using satellites and trusted nodes (intermediate nodes must be physically secure). QKD is currently mostly of interest in sectors that require high levels of long lasting security for their communication (e.g. finance, data centres, government, critical infrastructure). However, it's still a pretty open question as to which sectors beyond the obvious candidates will benefit from QKD networks. With QKD there is always the question of whether post-quantum cryptography would be sufficient which does not require new physical infrastructure.

Quantum networks beyond QKD (what this RG is mostly interested in) are still being worked on. A demo network is being built in the Netherlands and should be going online within the next few years. For more information about applications, timelines, etc. in an accessible write-up: https://qutech.nl/quantum-internet-magazine/. The US has also recently published a document on their blueprint for a national QI: https://www.energy.gov/articles/quantum-internet-future-here. It is likely that these networks have a potential to benefit all sectors of society as the Quantum Internet Magazine linked above mentions several interesting applications (such as secure voting, quantum digital signatures, anonymous transmission, quantum enhanced GPS), but as the systems are still being researched it's hard for me to say when, how, and at what cost that will happen.

>>Even though no user data enters a quantum network
Could I be pointed to references that explain this part please? Is user data confined to classical channels? Apologies if that's already somewhere in this draft and I missed it.

Yes, there is some extra explanation in the teleportation section (4.3):

The unknown quantum state that was transmitted was never fed into the  network itself.  Therefore, the network needs to only be able to reliably produce Bell pairs between any two nodes in the network. Thus, a key difference between a classical and quantum data planes is that a classical one carries user data, but a quantum data plane provides the resources for the user to transmit user data themselves without further involvement of the network.

I will add a reference to section 4.3. Might also be worth mentioning a caveat that with 3G networks one could transmit quantum data through the network without teleportation (though you would first have to answer the question of why not use teleportation).

This is not the first time this sentence has appeared confusing so I will try to fix that.

Thank you all,

--

Joey Salazar

ARTICLE 19

On 12-Jul-20 3:26 PM, Wojciech Kozlowski wrote:
Dear QIRG,

Cheers,
Wojtek

Cheers,
Wojtek

Regards,
Wojtek

-------- Forwarded Message --------
From: Wojciech Kozlowski <[email-masked]<mailto:[email-masked]%3e>>
To: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked][email-masked]%3e>>
Subject: [Qirg] [Fwd: Re: draft-irtf-qirg-principles: goals and principles]
Date: Wed, 03 Jun 2020 10:07:14 +0000

Dear QIRG,

Cheers,
Wojtek

-------- Forwarded Message --------
From: Wojciech Kozlowski <[email-masked]<mailto:[email-masked]%3e>>
To: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked][email-masked]%3e>>
Subject: Re: [Qirg] draft-irtf-qirg-principles: goals and principles
Date: Tue, 19 May 2020 15:03:57 +0000

Join by video system

Join by phone

Cheers,
Wojtek

Regards,
Wojtek

Regards,
Wojtek

Qirg mailing list

Qirg mailing list

Qirg mailing list

Qirg mailing list

Qirg mailing list

Qirg mailing list

Qirg mailing list

Qirg mailing list

Qirg mailing list

Qirg mailing list